System.Design 1.0.5000.0 2.0.0.0 System.IDisposable

The interface is obsolete. Use the property to access template groups, and template definitions within template groups, for a control designer.

A template editing frame represents the UI for a template editor of a templated control designer.

Provides an interface to manage a template editing area.

- Method
  System.Void ``

  The interface is obsolete. Use the property on each template group element in the collection of a control designer.

  Closes the control and optionally saves any changes.

  true if changes to the document should be saved; otherwise, false. 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.Style To be added.

  The interface is obsolete. Use the property on each template group element in the collection of a control designer.

  Gets the style for the editing frame.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added.

  The interface is obsolete. Use the property in the property for each template group element in the collection of a control designer.

  Gets or sets the initial height of the control.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added.

  The interface is obsolete. Use the property in the property for each template group element in the collection of a control designer.

  Gets or sets the initial width of the control.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added.

  The interface is obsolete. The template group name is provided in the property of each template group element in the collection of a control designer.

  Gets the name of the editing frame.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added.

  Opens and displays the control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  The interface is obsolete. Use the property on each template group element in the collection of a control designer.

  Resizes the control to the specified width and height.

  The new width for the control. The new height for the control. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Saves any changes to the document.

  1.0.5000.0
  2.0.0.0
- Property
  System.String[] To be added.

  The interface is obsolete. A template name is provided through the property of a object. Enumerate the collection of template definitions by using the property of each element in the collection of a control designer.

  Gets a set of names of templates to use.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.WebControls.Style[] To be added.

  The interface is obsolete. A template style is provided through the property of a object. Enumerate the collection of template definitions by using the property of each element in the collection of a control designer.

  Gets the template styles for the control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The interface is obsolete. Use the property on each template group element in the collection of a control designer.

  Changes the name of the control to the specified name.

  The new name for the control. 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.Design.TemplateEditingVerb To be added.

  The interface is obsolete. Use the property of each template group in the collection for a control designer.

  Gets or sets the verb that invokes the template.

  1.0.5000.0
  2.0.0.0
System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")